<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class PartnerDetails extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('partner_details', function (Blueprint $table) {
            $table->id();
            $table->text('detail')->nullable();
           

            $table->unsignedBigInteger('partner_id')->nullable();
            $table->unsignedBigInteger('language_id')->nullable();

            $table->foreign('partner_id')->references('id')->on('partners');
            $table->foreign('language_id')->references('id')->on('languages');
            $table->index(['partner_id', 'language_id']);

            // Set engine to InnoDB it's useful in join and constraint
            $table->engine = 'InnoDB';
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        //
    }
}
